
QGIS Application - Bug report #18316

type object 'QgsMessageBar' has no attribute 'SUCCESS' 

2018-03-02 05:28 PM - Fernando Garay

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 26206

Description

Traceback (most recent call last):

  File "C:/Users/fernando.garay/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\autoSaver\autosave.py", line 366, in

cronEvent

    self.saveCurrentProject()

  File "C:/Users/fernando.garay/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\autoSaver\autosave.py", line 396, in

saveCurrentProject

    self.iface.messageBar().pushMessage("Autosave", u"project autosaved to: "+bakFileName,

level=qgis.gui.QgsMessageBar.SUCCESS, duration=10 )

AttributeError: type object 'QgsMessageBar' has no attribute 'SUCCESS'

History

#1 - 2018-03-02 09:45 PM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

This bug needs to be filed with the autosave plugin, not qgis.

#2 - 2018-03-11 06:21 PM - Jakub Kosik

It is related to qgis - today I found same with QgsMessageLog - something wrong with enums. If I use QgsMessageLog.INFO I got errors, replaced by

integer "0" works.

#3 - 2018-03-11 09:14 PM - Nyall Dawson

That's because the api changed with version 3. QgsMessageLog.INFO no longer exists.
